Subject: Re: [PATCH] powerpc: Add FSL SEC node to documentation

From: Doug Maxey <[email-masked]>
Date: Sat, 25 Mar 2006 16:27:19 -0600

On Tue, 21 Mar 2006 16:23:41 EST, Paul Nasrat wrote:
>On Tue, 2006-03-21 at 13:28 -0600, Hollis Blanchard wrote:
>> On Tue, 2006-03-21 at 12:25 -0600, Kumar Gala wrote:
>> > On Mar 20, 2006, at 8:14 PM, Hollis Blanchard wrote:
>
>> > > Have you consulted with any other vendors regarding these  
>> > > properties? I know
>> > > there is no IEEE1275 binding for these sorts of devices, but we can  
>> > > at least
>> > > attempt to standardize it (even in the absence of the Open Firmware  
>> > > Working
>> > > Group)...
>> > 
>> > Beyond the device_type, I'm not sure if there is much more one could  
>> > standardize one.  The other fields that Kim spec'd are either generic  
>> > OF fields (reg, interrupts, etc.) or specific to the Freescale devices.
>> 
>> The device_type and compatible properties are exactly what I'm talking
>> about.
>
>The Working Group lists still exist but are pretty dead.  I agree we
>really want to ensure that both OF based and dtc based new hardware is
>consistent.  I'm not sure how we want to do this, but we can document in
>Documentation and then use eg SLOF to mock out the OF interfaces and
>create proposals and kick some life into the OF working group.  

Sorry for the delayed reply, my procmail filter was pumping mails to
the old list name without telling me. :)

Other than IBM, Motorola, and possibly Sun, what groups are using 
OFW on new platforms anymore?  

Power.org may be a vehicle to publish.  

The Power TSC leader indicated a willingness to look into a process to 
get out some purely internal bindings (at the moment) that _really_ 
need some fresh air to flourish.

++doug